* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}
body {
  font-family: "inter", sans-serif;
}

.header-message {
  background-color: black;
  color: white;
  text-align: center;
  font-size: 12px;
  padding: 8px 0;
}
.header-logo {
  font-size: 32px;
  font-weight: 700;
}
@media (max-width: 640px) {
  .header-logo {
    font-size: 20px;
  }
}
.nav-group {
  display: flex;
  gap: 32px;
  align-items: center;
}

.nav-list {
  list-style: none;
  display: flex;
  gap: 24px;
}
@media (max-width: 1024px) {
  .nav-list {
    display: none;
  }
}
.nav-item a {
  text-decoration: none;
  color: #000;
  font-weight: 500;
  font-size: 14px;
}
.header-nav {
  display: flex;
  justify-content: space-between;
  padding: 20px 40px;
}

.input-wrapper {
  background-color: #f8f8f7;
  padding: 10px 20px;
  display: flex;
  gap: 5px;
  align-items: center;
  border-radius: 999px;
}
.input-wrapper .search-input {
  border: none;
  background-color: transparent;
}

.input-wrapper .search-input:focus {
  outline: none;
}
.search-input::placeholder {
  font-family: "inter", sans-serif;
}
.header-login-link {
  text-decoration: none;
  color: #000;
  display: flex;
  gap: 10px;
  align-items: center;
  font-size: 14px;
}
@media (max-width: 640px) {
  .input-wrapper {
    display: none;
  }
}
.cart-btn {
  border: none;
  background-color: transparent;
  position: relative;
  left: -5px;
}
.cart-btn .cart-icon {
  font-size: 20px;
}
.cart-btn span {
  background-color: #000;
  display: flex;
  justify-content: center;
  align-items: center;
  height: 15px;
  width: 15px;
  color: #fff;
  font-size: 10px;
  border-radius: 100%;
  position: absolute;
  right: -5px;
  top: -7px;
}
.hero-container {
  background-image: url(assets/hero-img.png);
  background-size: cover;
  background-position: center;
  background-repeat: no-repeat;
  height: 80vh;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  color: #fff;
}
.hero-subheading {
  font-weight: 700;
  font-size: 14px;
}
.hero-heading {
  font-size: 72px;
  font-weight: 500;
}
.hero-wrapper {
  width: 700px;
  display: flex;
  flex-direction: column;
  gap: 30px;
  align-items: center;
  text-align: center;
}
@media (max-width: 780px) {
  .hero-wrapper {
    width: 100%;
    padding: 0 10px;
  }
}
@media (max-width: 640px) {
  .hero-heading {
    font-size: 40px;
  }
}
.hero-paragraph {
  font-size: 18px;
  font-weight: 200;
}
.btn-wrapper {
  display: flex;
  gap: 10px;
}
@media (max-width: 400px) {
  .btn-wrapper {
    flex-direction: column;
  }
}
.btn-primary {
  display: inline-block;
  padding: 17px 32px;
  border: none;
  border-radius: 4px;
  background-color: #fff;
  cursor: pointer;
  transition: all 0.3s ease;
  border: 1px solid transparent;
}
.btn-outline {
  display: inline-block;
  padding: 17px 32px;
  border: 1px solid #fff;
  border-radius: 4px;
  background-color: transparent;
  color: #fff;
  cursor: pointer;
}
.btn-primary:hover {
  background-color: transparent;
  border: 1px solid #fff;
  color: #fff;
}
.btn-outline:hover {
  background-color: #fff;
  border: none;
  color: #000;
  border: 1px solid transparent;
}
.shop-by-category {
  padding: 96px 48px;
}
@media (max-width: 780px) {
  .shop-by-category {
    padding: 0 10px;
  }
}
.category-header {
  display: flex;
  flex-direction: column;
  gap: 16px;
  align-items: center;
}
.category-header h3 {
  font-size: 30px;
  font-weight: 300;
}
.category-header .line {
  height: 2px;
  width: 64px;
  background-color: #111111;
}
.cards-wrapper {
  display: flex;
  gap: 32px;
  margin-top: 40px;
}
@media (max-width: 900px) {
  .cards-wrapper {
    flex-direction: column;
  }
}
.card {
  height: 500px;
  flex: 1;
  padding: 0 20px;
  background-color: #0000001a;
  border-radius: 5px;
  position: relative;
}
.card img {
  width: 100%;
  height: 100%;
  object-fit: cover;
}
.card-text {
  color: #fff;
  position: absolute;
  bottom: 40px;
  left: 50%;
  transform: translateX(-50%);
  text-align: center;
}
.card-text h3 {
  font-size: 24px;
  font-weight: 400;
  margin-bottom: 10px;
}
.card-text a {
  text-decoration: none;
  color: #fff;
  font-weight: 500;
  font-size: 14px;
}
.trending-now {
  padding: 96px 48px;
}
@media (max-width: 780px) {
  .trending-now {
    padding: 96px 10px;
  }
}
.trending-now-header {
  display: flex;
  justify-content: space-between;
}

.trending-now-heading {
  font-size: 30px;
  font-weight: 500;
  margin-bottom: 10px;
}
.trending-now-subheading {
  font-weight: 300;
}
.trending-now-link {
  text-decoration: none;
  color: #000;
  align-self: flex-end;
}
@media (max-width: 400px) {
  .trending-now-header {
    flex-direction: column;
    gap: 10px;
  }
  .trending-now-link {
    align-self: flex-start;
  }
}
.trending-now-cards-wrapper {
  display: flex;
  gap: 20px;
  margin-top: 40px;
}
@media (max-width: 900px) {
  .trending-now-cards-wrapper {
    flex-direction: column;
  }
}
.trending-now-card .card-description {
  display: flex;
  justify-content: space-between;
  margin-top: 10px;
}
.trending-now-card {
  flex: 1;
}
.trending-now-card img {
  width: 100%;
  height: 424px;
  object-fit: cover;
  border-radius: 5px;
}
.trending-now-card .card-description-text h4 {
  font-size: 14px;
  font-weight: 500;
  margin-bottom: 10px;
}
.trending-now-card .card-description-text p {
  font-weight: 300;
  font-size: 12px;
}
.trending-now-card .card-price {
  font-size: 14px;
  font-weight: 500;
}

.philosophy {
  display: flex;
  gap: 64px;
  padding: 96px 48px 0 48px;
}
@media (max-width: 900px) {
  .philosophy {
    flex-direction: column;
  }
}
@media (max-width: 780px) {
  .philosophy {
    padding: 96px 10px;
  }
}
.philosophy-img {
  width: 704px;
  height: 700px;
}
@media (max-width: 1024px) {
  .philosophy-img {
    width: 504px;
    height: 500px;
  }
  .philosophy {
    gap: 30px;
  }
}
@media (max-width: 900px) {
  .philosophy-img {
    display: none;
  }
}
.philosophy-text-wrapper {
  display: flex;
  flex-direction: column;
  gap: 20px;
  align-self: flex-end;
  padding-bottom: 40px;
}
.philosophy-subheading {
  font-weight: 700;
  font-size: 14px;
  color: #666666;
  text-transform: uppercase;
}
.philosophy-heading {
  font-size: 36px;
  font-weight: 500;
}
@media (max-width: 780px) {
  .philosophy-heading {
    font-size: 20px;
  }
}
.philosophy-paragraph {
  font-size: 18px;
  color: #666666;
  font-weight: 300;
}
.philosophy-link {
  display: inline-block;
  text-decoration: none;
  color: #000;
  border-bottom: 2px solid black;
  padding-bottom: 5px;
  width: fit-content;
}
.foot-container {
  background-color: #111111;
  height: 425px;
  padding: 80px 48px 40px 48px;
  color: #111111;
}
.foot-subcontainer {
  gap: 64px;
  height: 305px;
  max-width: 1440px;
}
.foot-contact {
  /* display: grid;
  grid-template-columns: 1fr 1fr 1fr 1fr;
  grid-row-gap: 48px;
  grid-column-gap: 48px;
  color: #ffffff99;
  height: 192px; */
  display: flex;
  gap: 48px;
  height: 192px;
  color: #ffffff99;
}
.thread {
  display: flex;
  flex-direction: column;
  gap: 12px;
}
.icons {
  display: flex;
  gap: 10px;
  padding-top: 20px;
}
.shop {
  display: flex;
  flex-direction: column;
  gap: 12px;
}
.support {
  display: flex;
  flex-direction: column;
  gap: 12px;
}
.newsletter {
  display: flex;
  flex-direction: column;
  gap: 12px;
}
.input {
  display: flex;
  height: 66px;
  border: 1px thin;
}
.input .email {
  text-align: center;
  color: #ffffff99;
  background-color: rgba(63, 55, 55, 0.26);
}
.input .subscribe {
  text-align: center;
  font-weight: 900;
  padding: 10px;
}

.foot-container h5,
.foot-container h4 {
  color: #fff;
}
.foot-container a {
  text-decoration: none;
  color: #ffffff99;
}
.foot-line {
  width: 100%;
  height: 2px;
  background-color: #ffffff;
  margin-top: 32px;
}
.horizontal-container {
  height: 49px;
  width: 1344px;
}
.horizontal-section {
  display: flex;
  justify-content: space-between;
  padding: 32px;
}
.horizontal-right p {
  align-self: flex-start;
  color: #ffffff66;
}
.horizontal-link {
  display: flex;
  gap: 24px;
}
.horizontal-link {
  align-self: flex-end;
}
@media (max-width: 640px) {
  .foot-container {
    background-color: #111111;

    padding: 80px 48px 40px 48px;
    color: #111111;
  }
  .foot-contact {
    display: grid;
    grid-template-columns: 1fr 1fr;
    gap: 24px;
  }
  .foot-line {
    display: none;
  }
  .foot-subcontainer {
    gap: 32px;
  }
  .horizontal-section {
    flex-direction: column;
    text-align: center;
    padding: 16px;
    gap: 16px;
  }
  .horizontal-link {
    flex-direction: column;
    gap: 10px;
    display: block;
  }
}
@media (max-width: 768px) {
  .foot-line {
    display: none;
  }
  .foot-container {
    background-color: #111111;

    padding: 40px 24px 20px 24px;
    color: #111111;
  }
  .foot-contact {
    display: grid;
    grid-template-columns: 1fr 1fr;
    gap: 24px;
  }
  .horizontal-section {
    justify-content: flex-end;
  }
}
@media (max-width: 1024px) {
  .foot-line {
    display: none;
  }
  .horizontal-section {
    flex-direction: column;
    align-self: flex-start;
    display: block;
    padding-top: 30px;
    margin-top: 50px;
    text-align: start;
  }
  .horizontal-right {
    display: block;
  }
  .horizontal-link {
    flex-direction: column;
  }
}
